<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("conexion/$VpnEn.php");

$Cve_Modulo = "CMOD201506100189";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 1 - Dashboard
		$sqlP1DB = mysql_query("select COLOR_FRONTEND from dashboard_perfiles where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlP1DB)==0) echo "";
		else{
		$registroP1DB=mysql_fetch_array($sqlP1DB);
		}
		if (mysql_numrows($sqlP1DB)>0)
		{
		$ColFront=$registroP1DB["COLOR_FRONTEND"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select TIEMPO_INACTIVIDAD,DIAS_DISPONIBLES,TITULO_PAGINA from dashboard_config where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		$DiasDisp=$registroC1["DIAS_DISPONIBLES"];
		$TituPagi=$registroC1["TITULO_PAGINA"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesionesdb where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
						
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
			///Determinar si la Licencia aán esta Vigente
			$FechaLic=date("Y/m/d"); 
			if ($DiasDisp < $FechaLic)
			{
				echo "<script>alert('ATENCIÓN:\\n\\nTe informamos que tu licencia a expirado, serás redireccionado a la pagina indicada para que puedas continuar con el proceso de Actualización.\\n\\nAgradecemos tu comprensión.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=UpdateLicense.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ///Inicia IF Vencimiento de Licencia

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Monitoreo de Productividad Diaria en Devoluciones --> Dashboard Operativo | Dextra Logistica</title>
<link rel="shortcut icon" href="http://www.logsyswms.com/images/LIcon.ico">           
</head>
<body>

<Br><Br><Br><Br>

<?PHP

///Eliminar los Registros Temporales
	$sqlEU= mysql_query("DELETE FROM dashboard_kpi10 WHERE USUARIO_GEN='$UsuEn'");

///Hora y Fecha
$Hora=time();
$HoraOK=date("H:i:s",$Hora);
$Fecha=date("Y/m/d");

///Fechas de Rangos
	$FechaIni=$_POST['txt_RF1'] or $FechaIni=$_GET['txt_RF1'];
	$FechaFin=$_POST['txt_RF2'] or $FechaFin=$_GET['txt_RF2'];
	
	$FeInicial = $FechaIni;
	$FeFinal = $FechaFin;
	
	function semanas_transcurridas($fecha_i,$fecha_f)
	{
		$dias	= (strtotime($fecha_i)-strtotime($fecha_f))/604800;
		$dias 	= abs($dias); $dias = floor($dias);		
		return $dias;
	}
	
	$Tot_SemanasAnalizadas = semanas_transcurridas($FeInicial,$FeFinal);
	
	for ($i = 1; $i <= $Tot_SemanasAnalizadas; $i++) {///Inicia FOR
	
		$SumaDias = $SumaDias + 7;

		if ($SumaDias == "7")
		{	
			$fecha = $FeInicial;
		}
		else
		{
			$fecha = $nuevafecha;
		}
		
		$nuevafecha = strtotime ( '+7 day' , strtotime ( $fecha ) ) ;
		$nuevafecha = date ( 'Y/m/d' , $nuevafecha );
		
		$Fe_Rango = date($nuevafecha, strtotime('+$i week')) ; // resta 1 semana
		///echo "<Br>+$i Semana<Br>$Fe_Rango";
		///echo "<Br><Br>|Recibo|,|$i|,|$fecha - $Fe_Rango|,|Total de piezas|,|$UsuEn|,|$Fecha|,|$HoraOK|<Br>------------------------------------------------------------------------------------------------------------------------";
		
		////Calcular Recibo por Cada Rango
			$sql_CalRec = mysql_query("SELECT SUM( tabla_kardex.PIEZAS ) AS Recibo FROM tabla_documentos INNER JOIN tabla_kardex ON ( 	tabla_kardex.no_documento = tabla_documentos.no_documento ) WHERE tabla_documentos.ESTADO_DOCUMENTO =  'CERRADO' AND tabla_documentos.CVE_CUENTA='$CveCueCR1' AND FECHA_CIE Between '$fecha' AND '$Fe_Rango'");
			if (mysql_numrows($sql_CalRec)==0) echo "";
			else{
			$registro_CalRec=mysql_fetch_array($sql_CalRec);
			}
			if (mysql_numrows($sql_CalRec)>0)
			{
			$TotRec_CalRec=$registro_CalRec["Recibo"];
			}
	
			if ($TotRec_CalRec == "")
			{
				$TotRec_CalRec="0";
			}

		///Guardar Registros
			$sql_GUREC = mysql_query("insert into dashboard_kpi10 (TIPOANALISIS,NUMERO_SEMANA,RANGO_FECHAS,PIEZAS,USUARIO_GEN,FECHA,HORA)
			values('Recibo','$i','$fecha - $Fe_Rango','$TotRec_CalRec','$UsuEn','$Fecha','$HoraOK')");
			
		///++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

		////Calcular Surtido de Semana 4
			$sql_CalSur = mysql_query("SELECT SUM( tabla_kardex.PIEZAS ) AS Surtido FROM tabla_docsurtido INNER JOIN tabla_kardex ON ( tabla_kardex.no_documento = tabla_docsurtido.no_documento )  WHERE tabla_docsurtido.EDO_DOCUMENTO =  'CERRADO' AND tabla_docsurtido.CVE_CUENTA='$CveCueCR1' AND FECHA_CIERRE Between '$fecha' AND '$Fe_Rango'");
			if (mysql_numrows($sql_CalSur)==0) echo "";
			else{
			$registro_CalSur=mysql_fetch_array($sql_CalSur);
			}
			if (mysql_numrows($sql_CalSur)>0)
			{
			$TotSur_CalSur=$registro_CalSur["Surtido"];
			}
		
			if ($TotSur_CalSur == "")
			{
				$TotSur_CalSur="0";
			}
	
		///Guardar Registros
			$sql_GUSUR = mysql_query("insert into dashboard_kpi10 (TIPOANALISIS,NUMERO_SEMANA,RANGO_FECHAS,PIEZAS,USUARIO_GEN,FECHA,HORA)
			values('Surtido','$i','$fecha - $Fe_Rango','$TotSur_CalSur','$UsuEn','$Fecha','$HoraOK')");
			
			///Sumarle un día a la fecha del Rango para Rangos Exactos de Semanas.
			$nuevafecha = strtotime ( '+1 day' , strtotime ( $Fe_Rango ) ) ;
			$nuevafecha = date ( 'Y/m/d' , $nuevafecha );
		
}///Termina FOR
	
///****************************** REDIRECCIONAR **************************************
	
	echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=KPI_13_Exe-FlujodelInventarioRango3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&F1=$FeInicial&F2=$FeFinal'>";
?>

</body>
</html>

<?PHP
} ///Termina IF Vencimiento de Licencia
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>